/*
 * @(#)icondata.c	1.2	1/3/85
 *
 * Definitions for icons used in the SUN Gremlin picture editor.
 *
 * Mark Opperman (opcode@monet.BERKELEY)
 *
 * Modifications by Jim Thompson (james@ernie.berkeley.edu)
 */

#include "gremlin.h"

#define mpr_static(arg1, arg2, arg3, arg4, arg5) PMRec arg1;

#define PixmapCreate(pmName, W, H, depth, pmData) \
    pmName.pm = XCreateBitmapFromData(display, root_window, (char *)pmData, W, H); \
    pmName.width = W; \
    pmName.height = H

#include "icons/icon.align"
#include "icons/icon.arc"
#include "icons/icon.arrow"
#include "icons/icon.arrowhead"
#include "icons/icon.bigblack"
#include "icons/icon.box"
#include "icons/icon.boxinc"
#include "icons/icon.copy"
#include "icons/icon.curve.I"
#include "icons/icon.curve.B"
#include "icons/icon.curve.Bz"
#include "icons/icon.dblarrow"
#include "icons/icon.erase"
#include "icons/icon.filecabinet"
#include "icons/icon.get1"
#include "icons/icon.get2"
#include "icons/icon.get3"
#include "icons/icon.get4"
#include "icons/icon.gravity"
#include "icons/icon.grid"
#include "icons/icon.hmirror"
#include "icons/icon.horizontal"
#include "icons/icon.horvert"
#include "icons/icon.include"
#include "icons/icon.includeset"
#include "icons/icon.justify"
#include "icons/icon.littlepoint"
#include "icons/icon.move"
#include "icons/icon.movepoint"
#include "icons/icon.bpolygon"
#include "icons/icon.polygon"
#include "icons/icon.put1"
#include "icons/icon.put2"
#include "icons/icon.put3"
#include "icons/icon.put4"
#include "icons/icon.question"
#include "icons/icon.rotate"
#include "icons/icon.scale"
#include "icons/icon.text"
#include "icons/icon.undo"
#include "icons/icon.vector"
#include "icons/icon.vertical"
#include "icons/icon.vmirror"

/***************** stipple data ****************/

#include "icons/icon.openbox"
#include "icons/icon.white"
#include "icons/icon.gray"
#include "icons/icon.50"
#include "icons/icon.black"
#include "icons/icon.stipple5"
#include "icons/icon.stipple6"
#include "icons/icon.stipple7"
#include "icons/icon.stipple8"

/********************  sizes  *********************/

#include "icons/icon.size1"
#include "icons/icon.size2"
#include "icons/icon.size3"
#include "icons/icon.size4"

/********************  fonts  *********************/

#include "icons/icon.roman"
#include "icons/icon.bold"
#include "icons/icon.italics"
#include "icons/icon.special"

/********************  lines  *********************/

#include "icons/icon.broken"
#include "icons/icon.dashed"
#include "icons/icon.dotted"
#include "icons/icon.medium"
#include "icons/icon.narrow"
#include "icons/icon.thick"

/********************  misc   *********************/

#include "icons/icon.point"
#include "icons/icon.bigopenbox"
#include "icons/icon.replgrid32"
#include "icons/icon.misc"
#include "icons/icon.linestyle"
#include "icons/icon.pan"
#include "icons/icon.dot"

#ifdef notdef
/*************  gremlin tool icon   **************/

#include "icons/gremlin.icon"
#endif

/*
 * Create all of the pixmaps for the icons.
 */
ICCreate() {
#include "icons/createPixmaps.h"
}
