/*
 * @(#)sun.c	1.1	10/21/84
 *
 * SUN specific routines for the SUN Gremlin picture editor.
 *
 * Mark Opperman (opcode@monet.BERKELEY)
 *
 */

#include <sys/file.h>
#include "gremlin.h"
#include "sx.h"

XFontStruct	*text_pf;

/*
 * Display user prompt and wait for affirmative (MS_LEFT)
 * or negative (MS_MIDDLE or MS_RIGHT) input event.
 * Return TRUE if OK to do it, FALSE if not OK.
 * This routine flushes the input event queue for the windowfd
 * handling the prompt.
 */
prompt_ok(msg)
char *msg;
{
    return(Sx_Notify(display, main_window, -1, -1, 0, msg, text_pf, 1,
		     "Confirm", "Cancel", NULL) == 0);
}

/*
 * wait for input from any button.
 */
get_any_button()
{
    XEvent	event;
    extern int debugLevel;
    extern Window menu_sw;
    extern Window pix_sw;
    extern Window text_sw;

    while (1) {

	XNextEvent(display, &event);

	if (debugLevel > 0) {
	    if (event.xany.window == menu_sw) {
		printf("menu_sw, event %d\n", event.type);
	    } else if (event.xany.window == pix_sw) {
		printf("pix_sw,  event %d\n", event.type);
	    } else if (event.xany.window == text_sw) {
		printf("text_sw, event %d\n", event.type);
	    }
	}
	if (event.type == ButtonPress) {
	    break;
	}
    }

    while (1) {
	XNextEvent(display, &event);
	if (debugLevel > 0) {
	    if (event.xany.window == menu_sw) {
		printf("menu_sw, event %d\n", event.type);
	    } else if (event.xany.window == pix_sw) {
		printf("pix_sw,  event %d\n", event.type);
	    } else if (event.xany.window == text_sw) {
		printf("text_sw, event %d\n", event.type);
	    }
	}
	if (event.type == ButtonRelease) {
	    break;
	}
    }
}

/*
 * Return the maximum of the two integers.
 */
int
max(i, j)
    int	i, j;
{
    return(i > j ? i : j);
}
